# Uses of Class
org.eclipse.ui.part.PageSite

Packages that use PageSite
Package
Description
org.eclipse.ui.part
Classes for the creation of workbench parts that integrate with the Eclipse Platform User Interface.

## Uses of PageSite in org.eclipse.ui.part

Methods in org.eclipse.ui.part that return PageSite
Modifier and Type
Method
Description
`protected PageSite`
PageBookView.`getPageSite(IPage page)`
Returns the view site for the given page of this view.